package com.wd.workoffice.ui.adapter;


import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.BaseViewHolder;
import com.wd.workoffice.R;
import com.wd.workoffice.bean.ContactsBean;
import com.wd.workoffice.util.MathUtils;

import java.util.List;

/**
 * Created by flexible on 2018/8/13.
 */

public class WorkContactsInfoAdapter extends BaseQuickAdapter<ContactsBean.PartTypeRelListBean, BaseViewHolder> {

    public WorkContactsInfoAdapter(int layoutResId, List data) {
        super(layoutResId, data);
    }

    @Override
    protected void convert(BaseViewHolder helper,ContactsBean.PartTypeRelListBean item) {
        helper.setText(R.id.tv_first_contact_type, item.getTransitPartTypeName());
        helper.setText(R.id.tv_first_dep, item.getDeptName());
        helper.setText(R.id.tv_first_person, item.getAccountName());
        helper.setText(R.id.tv_level, "类别".concat(MathUtils.conver(helper.getAdapterPosition()+1)));
    }
}

